summaryrefslogtreecommitdiff
path: root/kde-plasma
diff options
context:
space:
mode:
Diffstat (limited to 'kde-plasma')
-rw-r--r--kde-plasma/kinfocenter/Manifest2
-rw-r--r--kde-plasma/kinfocenter/kinfocenter-5.27.11-r5.ebuild81
-rw-r--r--kde-plasma/kinfocenter/kinfocenter-6.2.0-r5.ebuild93
3 files changed, 94 insertions, 82 deletions
diff --git a/kde-plasma/kinfocenter/Manifest b/kde-plasma/kinfocenter/Manifest
index eb95220b..4dd2fb4f 100644
--- a/kde-plasma/kinfocenter/Manifest
+++ b/kde-plasma/kinfocenter/Manifest
@@ -1 +1 @@
-DIST kinfocenter-5.27.11.tar.xz 1018276 BLAKE2B 921832d3c52abfe35d3b77f34161c630d54c6fe8675eac6b2dcc343ab21b7c30b501216c9762aa90a8f5bfc036d2d8859a7419478ec38a85afcbf90315788cc1 SHA512 24a9df9fb28637e39293669569e4be896956ecfc3a27719821a1498f541aed220e7ebcd0e1a0b63051562690a9400b7fefc9c1217763c87009745e886573205e
+DIST kinfocenter-6.2.0.tar.xz 729176 BLAKE2B 3d0d0b33a1d3c8198542f1ea35cd5d8032d127fd6ffd0aa40ed7437437d03eff9dc3b05ecd7a01013cdb9da253bd4d20cefb9ad0026ff9dd51c59a0b108610d7 SHA512 0936007965932b5c639a3bfb57c9c619c33521112bc79aa60188f4e2f4113616948d043b0b0405c7be6de5c134eee843a8dcf63b1d2c3e261a351273a31c95f2
diff --git a/kde-plasma/kinfocenter/kinfocenter-5.27.11-r5.ebuild b/kde-plasma/kinfocenter/kinfocenter-5.27.11-r5.ebuild
deleted file mode 100644
index ac7b4f32..00000000
--- a/kde-plasma/kinfocenter/kinfocenter-5.27.11-r5.ebuild
+++ /dev/null
@@ -1,81 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-ECM_HANDBOOK="forceoptional"
-KFMIN=5.106.0
-PVCUT=$(ver_cut 1-3)
-QTMIN=5.15.9
-inherit ecm plasma.kde.org optfeature
-
-DESCRIPTION="Utility providing information about the computer hardware"
-HOMEPAGE="https://userbase.kde.org/KInfoCenter"
-
-LICENSE="GPL-2" # TODO: CHECK
-SLOT="5"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
-IUSE="gles2-only usb"
-
-DEPEND="
- >=dev-qt/qtdbus-${QTMIN}:5
- >=dev-qt/qtdeclarative-${QTMIN}:5
- >=dev-qt/qtgui-${QTMIN}:5[gles2-only=]
- >=dev-qt/qtwidgets-${QTMIN}:5
- >=kde-frameworks/kauth-${KFMIN}:5
- >=kde-frameworks/kcmutils-${KFMIN}:5
- >=kde-frameworks/kconfig-${KFMIN}:5
- >=kde-frameworks/kconfigwidgets-${KFMIN}:5
- >=kde-frameworks/kcoreaddons-${KFMIN}:5
- >=kde-frameworks/kdeclarative-${KFMIN}:5
- >=kde-frameworks/ki18n-${KFMIN}:5
- >=kde-frameworks/kio-${KFMIN}:5
- >=kde-frameworks/kpackage-${KFMIN}:5
- >=kde-frameworks/kservice-${KFMIN}:5
- >=kde-frameworks/kwidgetsaddons-${KFMIN}:5
- >=kde-frameworks/solid-${KFMIN}:5
- gles2-only? ( media-libs/mesa[gles2] )
- usb? ( virtual/libusb:1 )
-"
-RDEPEND="${DEPEND}
- dev-qt/qdbus:*
- >=dev-qt/qtquickcontrols2-${QTMIN}:5
- >=kde-frameworks/kirigami-${KFMIN}:5
- >=kde-plasma/kde-cli-tools-${PVCUT}:*
- >=kde-plasma/systemsettings-${PVCUT}:5
-"
-BDEPEND=">=kde-frameworks/kcmutils-${KFMIN}:5"
-
-src_configure() {
- local mycmakeargs=(
- $(cmake_use_find_package usb USB1)
- )
-
- ecm_src_configure
-}
-
-src_install() {
- ecm_src_install
-
- # TODO: Make this fully obsolete by /etc/os-release
- insinto /etc/xdg
- doins "${FILESDIR}"/kcm-about-distrorc
-
- insinto /usr/share/${PN}
- doins "${FILESDIR}"/glogo-small.png
-}
-
-pkg_postinst() {
- if [[ -z "${REPLACING_VERSIONS}" ]]; then
- optfeature "NFS information module" net-fs/nfs-utils
- optfeature "Samba status information module" net-fs/samba
- optfeature "Vulkan graphics API information module" dev-util/vulkan-tools
- optfeature "advanced CPU information module" sys-apps/util-linux
- fi
- optfeature "Wayland information module" app-misc/wayland-utils
- optfeature "Firmware security module" "app-text/aha sys-apps/fwupd"
- optfeature "OpenGL information module" x11-apps/mesa-progs
- optfeature "PCI devices information module" sys-apps/pciutils
- optfeature "X Server information module" x11-apps/xdpyinfo
- ecm_pkg_postinst
-}
diff --git a/kde-plasma/kinfocenter/kinfocenter-6.2.0-r5.ebuild b/kde-plasma/kinfocenter/kinfocenter-6.2.0-r5.ebuild
new file mode 100644
index 00000000..ab97b705
--- /dev/null
+++ b/kde-plasma/kinfocenter/kinfocenter-6.2.0-r5.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_HANDBOOK="forceoptional"
+KFMIN=6.6.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=6.7.2
+inherit ecm plasma.kde.org optfeature
+
+DESCRIPTION="Utility providing information about the computer hardware"
+HOMEPAGE="https://userbase.kde.org/KInfoCenter"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="6"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="gles2-only usb"
+
+DEPEND="
+ >=dev-qt/qtbase-${QTMIN}:6[dbus,gles2-only=,gui,widgets]
+ >=dev-qt/qtdeclarative-${QTMIN}:6
+ >=kde-frameworks/kauth-${KFMIN}:6
+ >=kde-frameworks/kcmutils-${KFMIN}:6
+ >=kde-frameworks/kconfig-${KFMIN}:6
+ >=kde-frameworks/kcoreaddons-${KFMIN}:6
+ >=kde-frameworks/ki18n-${KFMIN}:6
+ >=kde-frameworks/kio-${KFMIN}:6
+ >=kde-frameworks/kservice-${KFMIN}:6
+ gles2-only? ( || (
+ >=media-libs/mesa-24.1.0_rc1[opengl]
+ <media-libs/mesa-24.1.0_rc1[gles2]
+ ) )
+ usb? ( virtual/libusb:1 )
+"
+RDEPEND="${DEPEND}
+ || (
+ >=dev-qt/qttools-${QTMIN}:6[qdbus]
+ dev-qt/qdbus:*
+ )
+ >=kde-frameworks/kirigami-${KFMIN}:6
+ >=kde-plasma/systemsettings-${PVCUT}:6
+"
+BDEPEND=">=kde-frameworks/kcmutils-${KFMIN}:6"
+
+CMAKE_SKIP_TESTS=(
+ # bug 816591
+ smbmountmodeltest
+)
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package usb USB1)
+ -DCMAKE_DISABLE_FIND_PACKAGE_SeleniumWebDriverATSPI=ON # missing
+ )
+
+ ecm_src_configure
+}
+
+src_install() {
+ ecm_src_install
+
+ # TODO: Make this fully obsolete by /etc/os-release
+ insinto /etc/xdg
+ doins "${FILESDIR}"/kcm-about-distrorc
+
+ insinto /usr/share/${PN}
+ doins "${FILESDIR}"/glogo-small.png
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ optfeature_header "Query network filesystem info:"
+ optfeature "NFS information module" net-fs/nfs-utils
+ optfeature "Samba status information module" net-fs/samba
+ optfeature_header "Query firmware/hardware info:"
+ fi
+ optfeature "System DMI table readout" sys-apps/dmidecode
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ optfeature "Firmware security module" "app-text/aha sys-apps/fwupd"
+ optfeature "PCI devices information module" sys-apps/pciutils
+ optfeature "advanced CPU information module" sys-apps/util-linux
+ optfeature_header "Query GPU/graphics support info:"
+ fi
+ optfeature "OpenCL information module" dev-util/clinfo
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ optfeature "OpenGL information module" x11-apps/mesa-progs
+ optfeature "Vulkan graphics API information module" dev-util/vulkan-tools
+ optfeature "Wayland information module" app-misc/wayland-utils
+ optfeature "X Server information module" x11-apps/xdpyinfo
+ fi
+ ecm_pkg_postinst
+}